Commission summary
curl --request GET \
--url https://api.journeybee.io/v1/analytics/commission-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/analytics/commission-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/analytics/commission-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/analytics/commission-summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/analytics/commission-summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.journeybee.io/v1/analytics/commission-summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/analytics/commission-summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency_code": "<string>",
"period": {
"start_date": "<string>",
"end_date": "<string>"
},
"total_earned": 123,
"total_pending": 123,
"total_processing": 123,
"total_commission_value": 123,
"payments_count": 0,
"avg_commission_per_deal": 123,
"unconverted_payment_count": 0,
"unconverted_currencies": [
"<string>"
]
}Analytics
Commission summary
Company-wide commission totals for a period — paid (earned), pending, and processing — in the company base currency, plus payment + deal counts. Use this for ‘how much commission is owed/earned this period’. This is commission MONEY; for commission RULES use getCommissionReport. Defaults to the current year; pass a period or start_date+end_date. Money is in whole currency units of currency_code.
GET
/
analytics
/
commission-summary
Commission summary
curl --request GET \
--url https://api.journeybee.io/v1/analytics/commission-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/analytics/commission-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/analytics/commission-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/analytics/commission-summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/analytics/commission-summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.journeybee.io/v1/analytics/commission-summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/analytics/commission-summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency_code": "<string>",
"period": {
"start_date": "<string>",
"end_date": "<string>"
},
"total_earned": 123,
"total_pending": 123,
"total_processing": 123,
"total_commission_value": 123,
"payments_count": 0,
"avg_commission_per_deal": 123,
"unconverted_payment_count": 0,
"unconverted_currencies": [
"<string>"
]
}Authorizations
Query Parameters
Reporting period (resolved to a date range server-side). Defaults to current_year. Ignored when start_date + end_date are both supplied.
Available options:
current_year, last_year, current_quarter, last_quarter, current_month, last_month, last_30_days, last_90_days, last_6_months, last_12_months Response
200 - application/json
Default Response